For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList agent webhooks
      • POSTCreate agent webhook
      • GETGet agent webhook
      • DELDelete agent webhook
      • PATCHUpdate agent webhook
Status
LogoLogo
API ReferenceAgent Webhooks

Update agent webhook

PATCH
https://app.resemble.ai/api/v2/agents/:agent_uuid/webhooks/:webhook_uuid
PATCH
/api/v2/agents/:agent_uuid/webhooks/:webhook_uuid
$curl -X PATCH https://app.resemble.ai/api/v2/agents/agent_uuid/webhooks/webhook_uuid \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "success": true,
3 "item": {},
4 "message": "string"
5}
Update an existing webhook
Was this page helpful?
Previous

List agent phone numbers

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

agent_uuidstringRequiredformat: "uuid"
webhook_uuidstringRequiredformat: "uuid"

Request

This endpoint expects an object.
webhook_configobjectOptional

Response

Webhook updated
successboolean
itemobject
messagestring